An easy-to-use and lightweight API wrapper for Censys APIs (censys.io).


Keywords
censys, api, search, attack-surface, pypi, python3
License
Apache-2.0
Install
pip install censys==2.0.8

Documentation

Censys Python Library

PyPI Python Version Read the Docs (version) GitHub Discussions PRs Welcome License

An easy-to-use and lightweight API wrapper for Censys APIs (censys.io). Python 3.6+ is currently supported.

Features

Getting Started

The library can be installed using pip.

pip install censys

To upgraded using pip.

pip install --upgrade censys

To configure your search credentials run censys config or set both CENSYS_API_ID and CENSYS_API_SECRET environment variables.

$ censys config

Censys API ID: XXX
Censys API Secret: XXX

Successfully authenticated for your@email.com

To configure your ASM credentials run censys asm config or set the CENSYS_ASM_API_KEY environment variables.

$ censys asm config

Censys ASM API Key: XXX

Successfully authenticated

API Reference and User Guide available on Read the Docs

Read the Docs

Resources

Contributing

All contributions (no matter how small) are always welcome.

Development

This project uses poetry for dependency management. Please ensure you have installed the latest version.

git clone git@github.com:censys/censys-python.git
cd censys-python/
poetry install

Testing

pytest
# With coverage report
pytest --cov-report html

License

This software is licensed under Apache License, Version 2.0

  • Copyright (C) 2021 Censys, Inc.